# Uses of Class
com.jangular.backend.dto.AuthResponse

Packages that use AuthResponse
Package
Description
com.jangular.backend.controller
com.jangular.backend.service

## Uses of AuthResponse in com.jangular.backend.controller

Methods in com.jangular.backend.controller that return types with arguments of type AuthResponse
Modifier and Type
Method
Description
`org.springframework.http.ResponseEntity<AuthResponse>`
AuthController.`login(@Valid AuthRequest loginRequest, jakarta.servlet.http.HttpServletRequest request)`
User login endpoint
`org.springframework.http.ResponseEntity<AuthResponse>`
AuthController.`refreshToken(@Valid TokenRefreshRequest request)`
Refresh token endpoint

## Uses of AuthResponse in com.jangular.backend.service

Methods in com.jangular.backend.service that return AuthResponse
Modifier and Type
Method
Description
`AuthResponse`
AuthenticationService.`authenticate(AuthRequest request, String ipAddress, String userAgent)`
Authenticate user and generate JWT tokens
`AuthResponse`
AuthenticationService.`refreshToken(String refreshToken)`
Refresh access token using refresh token